<template>
  <div>
    <h2 class="text-center p-5">حساب کاربری</h2>
    <hr class="mx-4" />
    <div class="p-10">
      <div class="px-4 flex m-auto">
        <img src="/profile/profile.svg" alt="" srcset="" />
        <div class="my-auto">
          <p class="font-bold">نام و نام خانوادگی</p>

          <p class="text-[#8c8d8e] font-bold">شماره تماس</p>
        </div>
      </div>
      <nav class="space-y-1 p-4" aria-label="Sidebar">
        <nuxt-link
          v-for="item in navigation"
          :to="item.href"
          :key="item.name"
          class="text-[#444545] hover:bg-gray-50 hover:text-gray-900 group flex items-center px-3 py-2 text-sm font-medium rounded-md"
          :aria-current="item.current ? 'page' : undefined"
        >
          <img
            :src="item.icon"
            class="text-[#444545] group-hover:text-gray-500 flex-shrink-0 ml-3 h-6 w-6"
            aria-hidden="true"
          />
          <span class="truncate text-[#444545] font-bold">
            {{ item.name }}
          </span>
        </nuxt-link>
      </nav>
    </div>
  </div>
</template>

<script>
const navigation = [
  {
    name: 'علاقه مندی ها',
    href: '/mobile/fav' , icon: '/mobile/profile/bookmark .svg' , current: false
  },
  {
    name: 'کوپن ها',
    href: '/mobile/cupon',
    icon: '/mobile/profile/cupon.svg',
    current: false,
  },
  {
    name: 'لیست سفارش ها',
    href: '/mobile/listOrder',
    icon: '/mobile/profile/shop-bage.svg',
    current: false,
  },
  {
    name: 'سوالات پرتکرار',
    href: '/faq',
    icon: '/mobile/profile/bookmark.svg',
    current: false,
  },
  {
    name: 'تماس با ما',
    href: '/contact-us',
    icon: '/mobile/profile/contact-us.svg',
    current: false,
  },
  {
    name: 'درباره ما',
    href: '/about-us',
    icon: '/mobile/profile/info.svg',
    current: false,
  },
]

export default {
  data() {
    return {
      navigation,
    }
  },
}
</script>

<style lang="scss" scoped></style>
